Bug 97247 - Focus goes strange when typing UP/LEFT at merged cell at top-left corner
Summary: Focus goes strange when typing UP/LEFT at merged cell at top-left corner
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Takeshi Abe
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2016-01-19 09:37 UTC by Takeshi Abe
Modified: 2017-06-03 19:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takeshi Abe 2016-01-19 09:37:03 UTC
How to reproduce:
1. create new spreadsheet
2. merge cells A1 and B1 horizontally
3. focus at B2
4. type the UP key to go the merged cell
5. type the UP key again

What was observed actually:
Now focus looks on B1, not on the merged cell.
(Besides, it is OK if the focus starts at A2 in step 3.)

Expected behaviour:
Focus should stay the merged cell, as in Excel.


Similarly, merging vertically adjacent cells is also affected:
2'. merge cells A1 and A2 vertically
3'. focus B2
4'. type the LEFT key to go the merged cell
5'. type the LEFT key again (then A2 seems selected.)

Reproduced with LibO 4.3.3.2 on Debian jessie and LibO 5.0.4.2 on Windows 7.


This behaviour was originally suggested and discussed at [1].

[1] http://listarchives.libreoffice.org/ja/discuss/msg03989.html
Comment 1 Shinji Enoki 2016-01-20 10:41:41 UTC
I reproduce in the following versions.

Version: 5.1.0.2
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
Locale: ja-JP (ja_JP.utf8)
Debian GNU/Linux 8.2 (jessie) x86-64
Comment 2 Shinji Enoki 2016-01-20 10:45:57 UTC
And..,
I reproduce in the following versions.

Version: 5.0.4.2
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: ja-JP (ja_JP.utf8
Debian GNU/Linux 8.2 (jessie) x86-64
Comment 3 Commit Notification 2016-01-20 20:21:27 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c13226bcc5b298dacfe32340711bdfd4d15d8b3b

tdf#97247 Keep focus on merged cell at top-left corner

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-01-26 20:31:11 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c68b65ec5581bafc97155b9ac67f6b542044a171&h=libreoffice-5-1

tdf#97247 Keep focus on merged cell at top-left corner

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.